Bug 251936 - gcc fails to buld on ia64 due to --build-id--hash-style=gnu error
gcc fails to buld on ia64 due to --build-id--hash-style=gnu error
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
rawhide
ia64 Linux
medium Severity high
: ---
: ---
Assigned To: Jakub Jelinek
Fedora Extras Quality Assurance
:
Depends On:
Blocks: fedora-ia64
  Show dependency treegraph
 
Reported: 2007-08-13 11:35 EDT by Prarit Bhargava
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-17 03:02:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Prarit Bhargava 2007-08-13 11:35:19 EDT
Description of problem:

When attempting to build the latest Fedora gcc, gcc-4.1.2-20070723, the build
errors out.

Version-Release number of selected component (if applicable): gcc-4.1.2-20070723


How reproducible: 100%


Steps to Reproduce:
1. Attempt to build gcc

  
Actual results:

mv 'libgcc/./tmp-libgcc.map' libgcc/./libgcc.map
./xgcc -B./ -B/usr/ia64-redhat-linux/bin/ -isystem
/usr/ia64-redhat-linux/include -isystem /usr/ia64-redhat-linux/sys-include
-L/usr/src/redhat/BUILD/gcc-4.1.2-20070723/obj-ia64-redhat-linux/gcc/../ld -O2 
-O2 -O2 -g -pipe -Wall -fexceptions -fstack-protector --param=ssp-buffer-size=4
 -DIN_GCC    -W -Wall -Wwrite-strings -Wstrict-prototypes -Wmissing-prototypes
-Wold-style-definition  -isystem ./include  -fPIC -DUSE_SYMVER_GLOBAL -g
-DHAVE_GTHR_DEFAULT -DIN_LIBGCC2 -D__GCC_FLOAT_NOT_NEEDED  -shared
-nodefaultlibs -Wl,--soname=libgcc_s.so.1
-Wl,--version-script=libgcc/./libgcc.map -o ./libgcc_s.so.1.tmp 
libgcc/./__divxf3_s.o libgcc/./__divdf3_s.o libgcc/./__divsf3_s.o
libgcc/./__divdi3_s.o libgcc/./__moddi3_s.o libgcc/./__udivdi3_s.o
libgcc/./__umoddi3_s.o libgcc/./__divsi3_s.o libgcc/./__modsi3_s.o
libgcc/./__udivsi3_s.o libgcc/./__umodsi3_s.o libgcc/./__save_stack_nonlocal_s.o
libgcc/./__nonlocal_goto_s.o libgcc/./__restore_stack_nonlocal_s.o
libgcc/./__trampoline_s.o libgcc/./_fixtfdi_s.o libgcc/./_fixunstfdi_s.o
libgcc/./_floatditf_s.o libgcc/./_muldi3_s.o libgcc/./_negdi2_s.o
libgcc/./_lshrdi3_s.o libgcc/./_ashldi3_s.o libgcc/./_ashrdi3_s.o
libgcc/./_cmpdi2_s.o libgcc/./_ucmpdi2_s.o libgcc/./_clear_cache_s.o
libgcc/./_enable_execute_stack_s.o libgcc/./_trampoline_s.o libgcc/./__main_s.o
libgcc/./_absvsi2_s.o libgcc/./_absvdi2_s.o libgcc/./_addvsi3_s.o
libgcc/./_addvdi3_s.o libgcc/./_subvsi3_s.o libgcc/./_subvdi3_s.o
libgcc/./_mulvsi3_s.o libgcc/./_mulvdi3_s.o libgcc/./_negvsi2_s.o
libgcc/./_negvdi2_s.o libgcc/./_ctors_s.o libgcc/./_ffssi2_s.o
libgcc/./_ffsdi2_s.o libgcc/./_clz_s.o libgcc/./_clzsi2_s.o libgcc/./_clzdi2_s.o
libgcc/./_ctzsi2_s.o libgcc/./_ctzdi2_s.o libgcc/./_popcount_tab_s.o
libgcc/./_popcountsi2_s.o libgcc/./_popcountdi2_s.o libgcc/./_paritysi2_s.o
libgcc/./_paritydi2_s.o libgcc/./_powisf2_s.o libgcc/./_powidf2_s.o
libgcc/./_powixf2_s.o libgcc/./_powitf2_s.o libgcc/./_mulsc3_s.o
libgcc/./_muldc3_s.o libgcc/./_mulxc3_s.o libgcc/./_multc3_s.o
libgcc/./_divsc3_s.o libgcc/./_divdc3_s.o libgcc/./_divxc3_s.o
libgcc/./_divtc3_s.o libgcc/./_floatundidf_s.o libgcc/./_floatundisf_s.o
libgcc/./_floatundixf_s.o libgcc/./_floatunditf_s.o libgcc/./_fixunssfsi_s.o
libgcc/./_fixunsdfsi_s.o libgcc/./_fixunsxfsi_s.o libgcc/./_fixsfdi_s.o
libgcc/./_fixunssfdi_s.o libgcc/./_floatdisf_s.o libgcc/./_fixdfdi_s.o
libgcc/./_fixunsdfdi_s.o libgcc/./_floatdidf_s.o libgcc/./_fixxfdi_s.o
libgcc/./_fixunsxfdi_s.o libgcc/./_floatdixf_s.o libgcc/./_divdi3_s.o
libgcc/./_moddi3_s.o libgcc/./_udivdi3_s.o libgcc/./_umoddi3_s.o
libgcc/./_udiv_w_sdiv_s.o libgcc/./_udivmoddi4_s.o libgcc/./unwind-ia64_s.o
libgcc/./unwind-sjlj_s.o libgcc/./unwind-c_s.o libgcc/./fde-glibc_s.o -lc && rm
-f ./libgcc_s.so && if [ -f ./libgcc_s.so.1 ]; then mv -f ./libgcc_s.so.1
./libgcc_s.so.1.backup; else true; fi && gcc -O2 -o ./libgcc_s.so.1.tweak
../../gcc/config/ia64/change-symver.c -lelf && ./libgcc_s.so.1.tweak
./libgcc_s.so.1.tmp GCC_3.4.2 _GLOBAL_ _Unwind_GetGR _Unwind_RaiseException
_Unwind_GetRegionStart _Unwind_SetIP _Unwind_GetIP
_Unwind_GetLanguageSpecificData _Unwind_Resume _Unwind_DeleteException
_Unwind_SetGR _Unwind_ForcedUnwind _Unwind_Backtrace
_Unwind_FindEnclosingFunction _Unwind_GetCFA _Unwind_Resume_or_Rethrow
_Unwind_GetBSP && rm -f ./libgcc_s.so.1.tweak && mv ./libgcc_s.so.1.tmp
./libgcc_s.so.1 && ln -s libgcc_s.so.1 ./libgcc_s.so
/usr/bin/ld: unrecognized option '--build-id--hash-style=gnu'
/usr/bin/ld: use the --help option for usage information
collect2: ld returned 1 exit status
make[3]: *** [libgcc_s.so] Error 1
make[3]: Leaving directory
`/usr/src/redhat/BUILD/gcc-4.1.2-20070723/obj-ia64-redhat-linux/gcc'
make[2]: *** [libgcc.a] Error 2
rm gcj-dbtool.pod jcf-dump.pod gcov.pod fsf-funding.pod gcj.pod gfdl.pod cpp.pod
gij.pod gpl.pod gfortran.pod gcc.pod

Expected results: build should succeed

Additional Info: jakub, if you need to build fast, please ping me on IRC and I
can set you up on altix3.rhts (64p/128G) to debug.
Comment 1 Jakub Jelinek 2007-08-13 12:34:19 EDT
https://www.redhat.com/archives/fedora-extras-commits/2007-August/msg03000.html
Will be fixed during next build.
Comment 2 Jakub Jelinek 2007-08-17 03:02:15 EDT
gcc-4.1.2-18 is in rawhide.

Note You need to log in before you can comment on or make changes to this bug.